Bug 853632 - [abrt] yum-3.4.3-28.fc17: local.py:149:_reposetup:OSError: [Errno 2] No such file or directory: '/var/cache/yum/x86_64/17/_local/cachecookie'
[abrt] yum-3.4.3-28.fc17: local.py:149:_reposetup:OSError: [Errno 2] No such ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:2448af9eb6172d1638814f07829...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 11:28 EDT by Jeffrey S Austin
Modified: 2014-01-21 18:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-25 16:36:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (36 bytes, text/plain)
2012-09-01 11:28 EDT, Jeffrey S Austin
no flags Details

  None (edit)
Description Jeffrey S Austin 2012-09-01 11:28:11 EDT
Version-Release number of selected component:
yum-3.4.3-28.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/yum update
kernel:         3.5.2-3.fc17.x86_64.debug

backtrace:
:local.py:149:_reposetup:OSError: [Errno 2] No such file or directory: '/var/cache/yum/x86_64/17/_local/cachecookie'
:
:Traceback (most recent call last):
:  File "/usr/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 319, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 227, in main
:    return_code = base.doTransaction()
:  File "/usr/share/yum-cli/cli.py", line 559, in doTransaction
:    problems = self.downloadPkgs(downloadpkgs, callback_total=self.download_callback_total_cb)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2287, in downloadPkgs
:    self.plugins.run('postdownload', pkglist=pkglist, errors=errors)
:  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
:    func(conduitcls(self, self.base, conf, **kwargs))
:  File "/usr/lib/yum-plugins/local.py", line 80, in postdownload_hook
:    _reposetup(conduit)
:  File "/usr/lib/yum-plugins/local.py", line 149, in _reposetup
:    os.unlink("%s/cachecookie" % lrepo.cachedir)
:OSError: [Errno 2] No such file or directory: '/var/cache/yum/x86_64/17/_local/cachecookie'
:
:Local variables in innermost frame:
:repo: <yum.yumRepo.YumRepository object at 0x2b44310>
:conduit: <yum.plugins.DownloadPluginConduit instance at 0x42eb320>
:lrepo: <yum.yumRepo.YumRepository object at 0x2b3e3d0>
Comment 1 Jeffrey S Austin 2012-09-01 11:28:14 EDT
Created attachment 608875 [details]
File: event_log
Comment 2 Fedora Update System 2013-01-17 06:21:21 EST
yum-utils-1.1.31-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yum-utils-1.1.31-7.fc18
Comment 3 Fedora Update System 2013-01-19 22:25:55 EST
Package yum-utils-1.1.31-7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-utils-1.1.31-7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1128/yum-utils-1.1.31-7.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-01-25 16:36:46 EST
yum-utils-1.1.31-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.